Subject: RE: linux 2.6 hangs at __delay function on Viretx 4 board

From: swamydp <[email-masked]>
Date: Fri, 16 May 2008 07:56:50 -0700 (PDT)

John

Thanks for your suggestions.

 I looked up the virtual address for __log_buf in System.map and subtracted
0xc0000000 to get the physical address. I then reset the processor from XMD
and dump contents of the physical address of __log_buf using 'mrd' command
from XMD. All I see is bunch of zeros in those locations.

I am debugging but do not have much clue.

Swamy

John Linn wrote:
> 
> Hi Swamy,
> 
> I have seen this sometime before I think, but don't remember why.
> 
> I see that udelay depends on loops_per_jiffy, have you looked to see
> what value it is? Maybe it's garbage and some large value?
> 
> Have you tried dumping the __log_buf to understand how far it got thru
> booting the kernel before it got hung?
> 
> I assume you must be using xmd to load the image, you can also use it to
> dump the buffer.
> 
> On another processor I have seen it get hung in the calibrate_delay call
> from the kernel if the interrupts or timer aren't working, but haven't
> ever seen that on the Powerpc.
> 
> Thanks,
> John
> 
> 
> -----Original Message-----
> From: linuxppc-embedded-bounces+john.linn=[email-masked]
> [mailto:linuxppc-embedded-bounces+john.linn=[email-masked]] On
> Behalf Of swamydp
> Sent: Tuesday, May 13, 2008 9:29 PM
> To: [email-masked]
> Subject: linux 2.6 hangs at __delay function on Viretx 4 board
> 
> 
> 
> I am trying to boot linux 2.6 on HITECH virtex 4(fx60) board. Linux
> hangs at
> address 0xc00045ec which is in the __udelay function. I am using EDK
> 9.2i
> and gcc version 4.0.2 for compiling the kernel. The following is the
> boot
> message from the bootloader. 
> 
> loaded at:     00400000 0054E19C
> board data at: 0054C120 0054C19C
> relocated to:  00404064 004040E0
> zimage at:     00404E55 0054B5B4
> avail ram:     0054F000 02000000
> 
> Linux/PPC load: console=ttyS0,9600 console=tty0 root=/dev/sda2
> Uncompressing Linux...done.
> Now booting the kernel
> 
> Any help is greatly appreciated. I have run out of ideas to fix this.
> 
> Thanks
> swamy
> 
> -- 
> View this message in context:
> http://www.nabble.com/linux-2.6-hangs-at-__delay-function-on-Viretx-4-bo
> ard-tp17222725p17222725.html
> Sent from the linuxppc-embedded mailing list archive at Nabble.com.
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> 

-- 
View this message in context: http://www.nabble.com/linux-2.6-hangs-at-__delay-function-on-Viretx-4-board-tp17222725p17276753.html
Sent from the linuxppc-embedded mailing list archive at Nabble.com.